<?php
/**
* Get information from schema
* 
* @package VFront
* @subpackage Function-Libraries
* @author Mario Marcello Verona <marcelloverona@gmail.com>
* @copyright 2010 M.Marcello Verona
* @version 0.96 $Id: class.ischema.php 843 2010-11-30 00:33:40Z marciuz $
* @license http://www.gnu.org/licenses/gpl.html GNU Public License
*/




if($db1['dbtype']=='postgres'){

	require_once(FRONT_ROOT."/inc/class.ischema_postgres.php");
	
	class iSchema extends iSchema_postgresql{}
}
else if($db1['dbtype']=='mysql'){

	require_once(FRONT_ROOT."/inc/class.ischema_mysql.php");
	
	class iSchema extends iSchema_mysql{}
}
else if($db1['dbtype']=='oracle'){

    require_once(FRONT_ROOT."/inc/class.ischema_oracle.php");

    class iSchema extends iSchema_oracle{}
}
else if($db1['dbtype']=='sqlite'){

    require_once(FRONT_ROOT."/inc/class.ischema_sqlite.php");

    class iSchema extends iSchema_sqlite{}
}

